Query metrics from a run
curl --request GET \
--url https://pluto-api.trainy.ai/api/runs/metrics \
--header 'Authorization: Bearer <token>'{
"metrics": [
{
"logName": "<string>",
"logGroup": "<string>",
"time": "<string>",
"step": 123,
"value": 123
}
]
}Runs
Query metrics from a run
Returns time-series metrics from ClickHouse. Supports filtering by metric name, group, and step range. Uses reservoir sampling to limit data points.
GET
/
api
/
runs
/
metrics
Query metrics from a run
curl --request GET \
--url https://pluto-api.trainy.ai/api/runs/metrics \
--header 'Authorization: Bearer <token>'{
"metrics": [
{
"logName": "<string>",
"logGroup": "<string>",
"time": "<string>",
"step": 123,
"value": 123
}
]
}Authorizations
API key obtained from the mlop dashboard
Query Parameters
Numeric run ID
Project name
Filter by metric name (e.g., train/loss)
Filter by metric group (e.g., train)
Maximum data points to return
Required range:
1 <= x <= 10000Minimum step number (inclusive). Use with stepMax to query a specific range of steps.
Required range:
x >= 0Maximum step number (inclusive). Use with stepMin to query a specific range of steps.
Required range:
x >= 0Response
200 - application/json
Metrics data
Show child attributes
Show child attributes
Was this page helpful?
⌘I